### Enumeration

# GUPnP ServiceActionArgDirection

#### Declaration

    enum GUPnP.ServiceActionArgDirection

#### Description [src]

Represents the direction of a service state variable.

#### Members

`GUPNP_SERVICE_ACTION_ARG_DIRECTION_IN`

  An “in” variable, to the service.

  - Value: `0`
  - Available since: 1.6
`GUPNP_SERVICE_ACTION_ARG_DIRECTION_OUT`

  An “out” variable, from the service.

  - Value: `1`
  - Available since: 1.6